How to build Slicer on 10.8?

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

How to build Slicer on 10.8?

Johnson, Hans J
Developers,

I'm having a heck of a time building Slicer on Mac 10.8.  I previously had a build that was working, but now it is always complaining about missing Qt frameworks.

I've updated to cmake 2.8.10.2, and I've also tried the very latest master branch of cmake as of today, and I've done clean builds, but with no luck.

2.8.10.2 fails with complaints about missing Qt frameworks (JC helped me make links at the Utah meeting, and the builds were working then)
origin/master of cmake seems to be stuck in an infinite loop during the configuration of Slicer.

Does anyone have the proper combination to get a slicer build?

Thanks,
Hans





Notice: This UI Health Care e-mail (including attachments) is covered by the Electronic Communications Privacy Act, 18 U.S.C. 2510-2521, is confidential and may be legally privileged.  If you are not the intended recipient, you are hereby notified that any retention, dissemination, distribution, or copying of this communication is strictly prohibited.  Please reply to the sender that you have received the message in error, then delete it.  Thank you.

_______________________________________________
slicer-devel mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-devel
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: How to build Slicer on 10.8?

Jean-Christophe Fillion-Robin


On Sat, Feb 16, 2013 at 5:33 PM, Johnson, Hans J <[hidden email]> wrote:
Developers,

I'm having a heck of a time building Slicer on Mac 10.8.  I previously had a build that was working, but now it is always complaining about missing Qt frameworks.

I've updated to cmake 2.8.10.2, and I've also tried the very latest master branch of cmake as of today, and I've done clean builds, but with no luck.

2.8.10.2 fails with complaints about missing Qt frameworks (JC helped me make links at the Utah meeting, and the builds were working then)
origin/master of cmake seems to be stuck in an infinite loop during the configuration of Slicer.

Does anyone have the proper combination to get a slicer build?

Thanks,
Hans





Notice: This UI Health Care e-mail (including attachments) is covered by the Electronic Communications Privacy Act, 18 U.S.C. 2510-2521, is confidential and may be legally privileged.  If you are not the intended recipient, you are hereby notified that any retention, dissemination, distribution, or copying of this communication is strictly prohibited.  Please reply to the sender that you have received the message in error, then delete it.  Thank you.

_______________________________________________
slicer-devel mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-devel
To unsubscribe: send email to [hidden email] with unsubscribe as the subject



--
+1 919 869 8849

_______________________________________________
slicer-devel mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-devel
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: How to build Slicer on 10.8?

Jean-Christophe Fillion-Robin
Hi Folks, 

I just updated both Slicer build system [1] and the wiki [2] to support Qt 4.8.4 so that Mountain Lion can be build out of the box.

In other word, on mountain lion, you simply download a recent nightly CMake version, install Qt 4.8.4 using the dmg referenced in [2]. And it should work out of the box.

On Mountain Lion [3], I did a clean build using cmake [4]  and a Release build was done without any issue in 26mins.

$ git clone git://github.com/Slicer/Slicer
$ mkdir Slicer-Superbuild-Release-cmake-2.8.10.20130121-g92bd8
$ cd Slicer-Superbuild-Release-cmake-2.8.10.20130121-g92bd8
$ ../../Support/CMake\ 2.8-10.20130121-g92bd8.app/Contents/bin/cmake -DCMAKE_BUILD_TYPE:STRING=Release ../Slicer && time make -j14
[...]
[100%] Built target vtkSlicerEMSegmentModuleLogicPython
[100%] No install step for 'Slicer'
[100%] Completed 'Slicer'
[100%] Built target Slicer

real 26m54.266s
user 192m2.358s
sys 49m32.995s


That said, it failed using the latest nightly "cmake-2.8.10.20130215-g4c900". Make sure you used CMake version 2.8.10.20130121-g92bd8. 

Wiki has been updated to reference the version of CMake know to work. See [5]


[3] Xcode 4.6 / Build version 4H127  - Apple clang version 4.1 (tags/Apple/clang-421.11.66) (based on LLVM 3.1svn)
[4] CMake 2.8.10.20130121-g92bd8


On Sat, Feb 16, 2013 at 5:39 PM, Jean-Christophe Fillion-Robin <[hidden email]> wrote:


On Sat, Feb 16, 2013 at 5:33 PM, Johnson, Hans J <[hidden email]> wrote:
Developers,

I'm having a heck of a time building Slicer on Mac 10.8.  I previously had a build that was working, but now it is always complaining about missing Qt frameworks.

I've updated to cmake 2.8.10.2, and I've also tried the very latest master branch of cmake as of today, and I've done clean builds, but with no luck.

2.8.10.2 fails with complaints about missing Qt frameworks (JC helped me make links at the Utah meeting, and the builds were working then)
origin/master of cmake seems to be stuck in an infinite loop during the configuration of Slicer.

Does anyone have the proper combination to get a slicer build?

Thanks,
Hans





Notice: This UI Health Care e-mail (including attachments) is covered by the Electronic Communications Privacy Act, 18 U.S.C. 2510-2521, is confidential and may be legally privileged.  If you are not the intended recipient, you are hereby notified that any retention, dissemination, distribution, or copying of this communication is strictly prohibited.  Please reply to the sender that you have received the message in error, then delete it.  Thank you.

_______________________________________________
slicer-devel mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-devel
To unsubscribe: send email to [hidden email] with unsubscribe as the subject



--
<a href="tel:%2B1%20919%20869%208849" value="+19198698849" target="_blank">+1 919 869 8849



--
+1 919 869 8849

_______________________________________________
slicer-devel mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-devel
To unsubscribe: send email to [hidden email] with unsubscribe as the subject
Reply | Threaded
Open this post in threaded view
|

Re: How to build Slicer on 10.8?

Daniel Haehn
Thanks, JC!


On Sat, Feb 16, 2013 at 7:55 PM, Jean-Christophe Fillion-Robin <[hidden email]> wrote:
Hi Folks, 

I just updated both Slicer build system [1] and the wiki [2] to support Qt 4.8.4 so that Mountain Lion can be build out of the box.

In other word, on mountain lion, you simply download a recent nightly CMake version, install Qt 4.8.4 using the dmg referenced in [2]. And it should work out of the box.

On Mountain Lion [3], I did a clean build using cmake [4]  and a Release build was done without any issue in 26mins.

$ git clone git://github.com/Slicer/Slicer
$ mkdir Slicer-Superbuild-Release-cmake-2.8.10.20130121-g92bd8
$ cd Slicer-Superbuild-Release-cmake-2.8.10.20130121-g92bd8
$ ../../Support/CMake\ 2.8-10.20130121-g92bd8.app/Contents/bin/cmake -DCMAKE_BUILD_TYPE:STRING=Release ../Slicer && time make -j14
[...]
[100%] Built target vtkSlicerEMSegmentModuleLogicPython
[100%] No install step for 'Slicer'
[100%] Completed 'Slicer'
[100%] Built target Slicer

real 26m54.266s
user 192m2.358s
sys 49m32.995s


That said, it failed using the latest nightly "cmake-2.8.10.20130215-g4c900". Make sure you used CMake version 2.8.10.20130121-g92bd8. 

Wiki has been updated to reference the version of CMake know to work. See [5]


[3] Xcode 4.6 / Build version 4H127  - Apple clang version 4.1 (tags/Apple/clang-421.11.66) (based on LLVM 3.1svn)
[4] CMake 2.8.10.20130121-g92bd8


On Sat, Feb 16, 2013 at 5:39 PM, Jean-Christophe Fillion-Robin <[hidden email]> wrote:


On Sat, Feb 16, 2013 at 5:33 PM, Johnson, Hans J <[hidden email]> wrote:
Developers,

I'm having a heck of a time building Slicer on Mac 10.8.  I previously had a build that was working, but now it is always complaining about missing Qt frameworks.

I've updated to cmake 2.8.10.2, and I've also tried the very latest master branch of cmake as of today, and I've done clean builds, but with no luck.

2.8.10.2 fails with complaints about missing Qt frameworks (JC helped me make links at the Utah meeting, and the builds were working then)
origin/master of cmake seems to be stuck in an infinite loop during the configuration of Slicer.

Does anyone have the proper combination to get a slicer build?

Thanks,
Hans





Notice: This UI Health Care e-mail (including attachments) is covered by the Electronic Communications Privacy Act, 18 U.S.C. 2510-2521, is confidential and may be legally privileged.  If you are not the intended recipient, you are hereby notified that any retention, dissemination, distribution, or copying of this communication is strictly prohibited.  Please reply to the sender that you have received the message in error, then delete it.  Thank you.

_______________________________________________
slicer-devel mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-devel
To unsubscribe: send email to [hidden email] with unsubscribe as the subject



--
<a href="tel:%2B1%20919%20869%208849" value="+19198698849" target="_blank">+1 919 869 8849



--
<a href="tel:%2B1%20919%20869%208849" value="+19198698849" target="_blank">+1 919 869 8849

_______________________________________________
slicer-devel mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-devel
To unsubscribe: send email to [hidden email] with unsubscribe as the subject


_______________________________________________
slicer-devel mailing list
[hidden email]
http://massmail.spl.harvard.edu/mailman/listinfo/slicer-devel
To unsubscribe: send email to [hidden email] with unsubscribe as the subject